package Date::Manip::Offset::off000;
# Copyright (c) 2008-2009 Sullivan Beck.  All rights reserved.
# This program is free software; you can redistribute it and/or modify it
# under the same terms as Perl itself.

# This file was automatically generated.  Any changes to this file will
# be lost the next time 'tzdata' is run.
#    Generated on: Fri Nov 20 14:20:53 EST 2009
#    Data version: tzdata2009s
#    Code version: tzcode2009r

# This module contains data from the zoneinfo time zone database.  The original
# data was obtained from the URL:
#    ftp://elsie.nci.nih.gov/pub

=pod

=head1 NAME

Date::Manip::Offset::off000 - Support for the +00:00:00 offset

=head1 SYNPOSIS

This module contains data from the Olsen database for the offset. It
is not intended to be used directly (other Date::Manip modules will
load it as needed).

=cut

use strict;
use warnings;
require 5.010000;

use vars qw($VERSION);
$VERSION="6.02";

use vars qw($Offset %Offset);

$Offset        = '+00:00:00';

%Offset        = (
   0 => [
      'wet',
      'europe/london',
      'africa/lome',
      'atlantic/faroe',
      'europe/lisbon',
      'africa/ouagadougou',
      'africa/abidjan',
      'africa/sao_tome',
      'europe/dublin',
      'atlantic/madeira',
      'africa/dakar',
      'atlantic/azores',
      'atlantic/canary',
      'atlantic/st_helena',
      'africa/banjul',
      'africa/monrovia',
      'africa/bissau',
      'africa/el_aaiun',
      'america/danmarkshavn',
      'ut',
      'etc/gmt',
      'africa/casablanca',
      'africa/ceuta',
      'africa/algiers',
      'atlantic/reykjavik',
      'africa/malabo',
      'africa/freetown',
      'africa/niamey',
      'america/rankin_inlet',
      'europe/gibraltar',
      'america/inuvik',
      'indian/kerguelen',
      'america/resolute',
      'europe/andorra',
      'america/iqaluit',
      'africa/accra',
      'europe/brussels',
      'europe/madrid',
      'europe/monaco',
      'europe/paris',
      'europe/luxembourg',
      'america/yellowknife',
      'africa/porto-novo',
      'africa/conakry',
      'africa/bamako',
      'africa/nouakchott',
      'america/pangnirtung',
      'america/cambridge_bay',
      'antarctica/rothera',
      'antarctica/casey',
      'antarctica/davis',
      'antarctica/palmer',
      'antarctica/syowa',
      'antarctica/vostok',
      'antarctica/dumontdurville',
      'antarctica/mcmurdo',
      'antarctica/mawson',
      'z',
      ],
   1 => [
      'atlantic/azores',
      'atlantic/madeira',
      'america/scoresbysund',
      'atlantic/reykjavik',
      ],
);

1;
